Package org.apache.groovy.json.internal

# Class NumberValue

java.lang.Object
java.lang.Number
org.apache.groovy.json.internal.NumberValue

All Implemented Interfaces:
  `Serializable`, `Value`

    public class NumberValue
    extends Number
    implements Value

See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `NumberValue()` |
  `NumberValue​(boolean chop, Type type, int startIndex, int endIndex, char[] buffer)` |
  `NumberValue​(Type type)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `BigDecimal` | `bigDecimalValue()` |
  `BigInteger` | `bigIntegerValue()` |
  `boolean` | `booleanValue()` |
  `byte` | `byteValue()` |
  `char` | `charValue()` |
  `void` | `chop()` |
  `Date` | `dateValue()` |
  `double` | `doubleValue()` |
  `boolean` | `equals​(Object o)` |
  `float` | `floatValue()` |
  `int` | `hashCode()` |
  `int` | `intValue()` |
  `boolean` | `isContainer()` |
  `long` | `longValue()` |
  `short` | `shortValue()` |
  `String` | `stringValue()` |
  `String` | `stringValueEncoded()` |
  `<T extends Enum> T` | `toEnum​(Class<T> cls)` |
  `static <T extends Enum> T` | `toEnum​(Class<T> cls, int value)` |
  `String` | `toString()` |
  `Object` | `toValue()` |

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NumberValue

    public NumberValue​(Type type)

  - ### NumberValue

    public NumberValue()

  - ### NumberValue

    public NumberValue​(boolean chop, Type type, int startIndex, int endIndex, char[] buffer)

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### toValue

    public final Object toValue()
    Specified by:
      `toValue` in interface `Value`

  - ### toEnum

    public <T extends Enum> T toEnum​(Class<T> cls)
    Specified by:
      `toEnum` in interface `Value`

  - ### toEnum

    public static <T extends Enum> T toEnum​(Class<T> cls, int value)

  - ### isContainer

    public boolean isContainer()
    Specified by:
      `isContainer` in interface `Value`

  - ### equals

    public boolean equals​(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### bigDecimalValue

    public BigDecimal bigDecimalValue()
    Specified by:
      `bigDecimalValue` in interface `Value`

  - ### bigIntegerValue

    public BigInteger bigIntegerValue()
    Specified by:
      `bigIntegerValue` in interface `Value`

  - ### stringValue

    public String stringValue()
    Specified by:
      `stringValue` in interface `Value`

  - ### stringValueEncoded

    public String stringValueEncoded()
    Specified by:
      `stringValueEncoded` in interface `Value`

  - ### dateValue

    public Date dateValue()
    Specified by:
      `dateValue` in interface `Value`

  - ### intValue

    public int intValue()
    Specified by:
      `intValue` in interface `Value`
    Specified by:
      `intValue` in class `Number`

  - ### longValue

    public long longValue()
    Specified by:
      `longValue` in interface `Value`
    Specified by:
      `longValue` in class `Number`

  - ### byteValue

    public byte byteValue()
    Specified by:
      `byteValue` in interface `Value`
    Overrides:
      `byteValue` in class `Number`

  - ### shortValue

    public short shortValue()
    Specified by:
      `shortValue` in interface `Value`
    Overrides:
      `shortValue` in class `Number`

  - ### doubleValue

    public double doubleValue()
    Specified by:
      `doubleValue` in interface `Value`
    Specified by:
      `doubleValue` in class `Number`

  - ### booleanValue

    public boolean booleanValue()
    Specified by:
      `booleanValue` in interface `Value`

  - ### floatValue

    public float floatValue()
    Specified by:
      `floatValue` in interface `Value`
    Specified by:
      `floatValue` in class `Number`

  - ### chop

    public final void chop()
    Specified by:
      `chop` in interface `Value`

  - ### charValue

    public char charValue()
    Specified by:
      `charValue` in interface `Value`